NAND_READ_SUBPAGE(9)

NAME
nand_read_subpage - [REPLACEABLE] ECC based sub-page read function

SYNOPSIS

int nand_read_subpage(struct mtd_info * mtd, struct nand_chip * chip, uint32_t data_offs, uint32_t readlen, uint8_t * bufpoi, int page);

ARGUMENTS

mtd
    mtd info structure

chip
    nand chip info structure

data_offs
    offset of requested data within the page

readlen
    data length

bufpoi
    buffer to store read data

page
    page number to read

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT